#ifndef SAA1064_PROTOTYPES_H
#define	SAA1064_PROTOTYPES_H
//------------------------------------------------------------------------------
#include "../../assets/i2c/I2C.h"
//------------------------------------------------------------------------------
#define SAA1064_ADDRESS  0x70      //Address bits can be altered on device if wished
#define CONTROL_REG      0x00      
#define DISPLAY_REG      0x01      
#define DEVICE_CONFIG    0x47      //adds 12 mA to segment output current. dynamic mode 
#define DECIMAL_POINT    0x80
//------------------------------------------------------------------------------
void SAA1064_init(void);
void SAA1064_on(void);
void SAA1064_blink(char data);
void SAA1064_setBrightness(unsigned char data);
void SAA1064_displayNum(signed int num);
void SAA1064_write(char text[]);
void SAA1064_char(char asciiChar, char pos);
char getDigit(char asciiChar, char pos);
char* toString(signed int number);
char* get_lastCharAddr(char text[]);
//------------------------------------------------------------------------------
//Common Cathode           0,    1,    2,    3,    4,    5,    6,    7,    8,   9
const char digits[] = { 0x3F, 0x06, 0x5B, 0x4F, 0x66, 0x6D, 0x7D, 0x07, 0x7F, 0x6F };
//------------------------------------------------------------------------------
#endif	/* SAA1064_PROTOTYPES_H */